Class Specialization
Rng Functor
Functor wrapper for random number generation.

Rng

Rng Functor

Rng<RngFunctor<TRng, TPdf> >
Include Headers
seqan/random.h
Specialization of
Rng
Metafunctions

MaxValue | Supremum for a given type. (Rng)
MinValue | Infimum for a given type. (Rng)
Value | Type of the items in the container or behind an iterator. (Rng)

Member Functions

operator() | Function call operator. (Rng)
Rng | Constructor Functor Rng.

Functions

pickRandomNumber | Pick a random number using a random number generator object, possibly following the given distribution. (Rng)
shuffle | Shuffle the given container. (Rng)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00